org.apache.cassandra.db.columniterator

## Interface OnDiskAtomIterator

- All Superinterfaces:
    java.lang.AutoCloseable, java.io.Closeable, CloseableIterator<OnDiskAtom>, java.util.Iterator<OnDiskAtom>
  All Known Implementing Classes:
    LazyColumnIterator, SSTableIdentityIterator

      public interface OnDiskAtomIterator
      extends CloseableIterator<OnDiskAtom>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` clean up any open resources
    `ColumnFamily` | `getColumnFamily()`
    `DecoratedKey` | `getKey()`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, next, remove`

- - ### Method Detail

    - #### getColumnFamily

          ColumnFamily getColumnFamily()

      Returns:
        A ColumnFamily holding metadata for the row being iterated. Do not modify this CF. Whether it is empty or not is implementation-dependent.

    - #### getKey

          DecoratedKey getKey()

      Returns:
        the current row key

    - #### close

          void close()
              throws java.io.IOException

      clean up any open resources
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.io.Closeable`
      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation